Name:           python-uranium
Version:        2.3.1
Release:        1%{?dist}
Summary:        A Python framework for building desktop applications
License:        AGPLv3+
URL:            https://github.com/Ultimaker/Uranium
Source0:        %{url}/archive/%{version}.tar.gz#/Uranium-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  /usr/bin/doxygen
BuildRequires:  /usr/bin/msgmerge
BuildRequires:  cmake
BuildRequires:  git

# Tests
BuildRequires:  python3-arcus == %{version}
BuildRequires:  python3-numpy
BuildRequires:  python3-scipy
BuildRequires:  python3-qt5
BuildRequires:  python3-pytest

BuildArch:      noarch

# There are Python plugins in /usr/lib/uranium
# We need to byte-compile it with Python 3
%global __python %{__python3}

%description
Uranium is a Python framework for building 3D printing related applications.

%package -n python3-uranium
Summary:        %{summary}
Provides:       uranium = %{version}-%{release}
%{?python_provide:%python_provide python3-uranium}

Requires:       python3-arcus == %{version}
Requires:       python3-numpy
Requires:       python3-scipy
Requires:       python3-qt5

# Optional dependency not yet in Fedora:
Recommends:     python3-numpy-stl

%description -n python3-uranium
Uranium is a Python framework for building 3D printing related applications.

%prep
%autosetup -n Uranium-%{version} -p1 -S git

# Upstream installs to lib/python3/dist-packages
# We want to install to %%{python3_sitelib}
sed -i 's|lib/python${PYTHON_VERSION_MAJOR}/dist-packages|%(echo %{python3_sitelib} | sed -e s@%{_prefix}/@@)|g' CMakeLists.txt

%build
%{cmake} .
make %{?_smp_mflags}

%check
# The test are failing, see https://github.com/Ultimaker/Uranium/issues/191
# They are invoked by upstream in a way that when failing they return 0
# So the RPM build will succeed anyway
make tests


%install
make install DESTDIR=%{buildroot}

# We don't really need those
rm -rf %{buildroot}%{_datadir}/cmake*

# Sanitize the location of locale files
pushd %{buildroot}%{_datadir}
mv uranium/resources/i18n locale
ln -s ../../locale uranium/resources/i18n
rm locale/uranium.pot
rm locale/*/uranium.po
popd

%find_lang uranium


%files -n python3-uranium -f uranium.lang
%license LICENSE
%doc README.md
%{python3_sitelib}/UM
%{_datadir}/uranium
%{_prefix}/lib/uranium


%changelog
* Sun Dec 04 2016 Miro Hrončok <mhroncok@redhat.com> - 2.3.1-1
- Initial package
